## net.i2p.router.networkdb.kademlia
Class DataPublisherJob

    java.lang.Object
      net.i2p.router.JobImpl
          net.i2p.router.networkdb.kademlia.DataPublisherJob

All Implemented Interfaces:
  Job

     class DataPublisherJob

extends JobImpl

Constructor Summary
`DataPublisherJob(RouterContext ctx, KademliaNetworkDatabaseFacade facade)`

Method Summary
`java.lang.String` `getName()` Descriptive name of the task
`void` `runJob()` Actually perform the task.

Methods inherited from class net.i2p.router.JobImpl
`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataPublisherJob

    public DataPublisherJob(RouterContext ctx,
                            KademliaNetworkDatabaseFacade facade)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `Job`
  Descriptive name of the task

### runJob

    public void runJob()

  Description copied from interface: `Job`
  Actually perform the task. This call blocks until the Job is complete.